# Rebar 2.3.0

* rebar/56: [add preprocess support for edoc](https://github.com/basho/rebar/pull/56)
* rebar/90: [look for new and old versions in the target parent](https://github.com/basho/rebar/pull/90)
* rebar/95: [Propagate exit status from nodetool to runner script](https://github.com/basho/rebar/pull/95)
* rebar/98: [Restore R13B03 compatibility](https://github.com/basho/rebar/pull/98)
* rebar/115: [specify the erlang system module name while calling monitor/2](https://github.com/basho/rebar/pull/115)
* rebar/129: [Allow plugins to participate in pre and post processing](https://github.com/basho/rebar/pull/129)
* rebar/139: [@ characters before elses were causing the script to not run](https://github.com/basho/rebar/pull/139)
* rebar/175: [Common Test changes to add configurable log dir and improve testing framework overlaps.](https://github.com/basho/rebar/pull/175)
* rebar/188: [Generated rebar.cmd needs a tweak](https://github.com/basho/rebar/issues/188)
* rebar/208: [Is the "Release Handling" wiki page out of date?](https://github.com/basho/rebar/issues/208)
* rebar/219: [remove dependency on erl_interface](https://github.com/basho/rebar/pull/219)
* rebar/220: [add crypto, syntax_tools and tools to applications key as dependencies](https://github.com/basho/rebar/pull/220)
* rebar/221: [Versioning scheme](https://github.com/basho/rebar/issues/221)
* rebar/223: [ebadf if run under nohup](https://github.com/basho/rebar/issues/223)
* rebar/224: [When generating a release rebar should expand VCS version in the top directory (git)](https://github.com/basho/rebar/pull/224)
* rebar/226: [make check dialyzer error](https://github.com/basho/rebar/issues/226)
* rebar/228: [about load plugin modules](https://github.com/basho/rebar/issues/228)
* rebar/230: [Support ct_run using short name](https://github.com/basho/rebar/pull/230)
* rebar/232: [bug about ./rebar generate ](https://github.com/basho/rebar/issues/232)
* rebar/233: [Add {git_format, Format} notation for vsn entries](https://github.com/basho/rebar/pull/233)
* rebar/234: [Use ?INFO instead of ?CONSOLE when printing directory changes](https://github.com/basho/rebar/pull/234)
* rebar/237: [Allow rebar.config and reltool.config to be configured](https://github.com/basho/rebar/pull/237)
* rebar/252: [eunit suite=<suite name> fails if there is a rebar dependency defined.](https://github.com/basho/rebar/issues/252)
* rebar/253: [rebar creates templates in deps as well as main](https://github.com/basho/rebar/issues/253)
* rebar/254: [Force running eunit tests via -k cmdline switch](https://github.com/basho/rebar/pull/254)
* rebar/265: [Fix rebar_base_compiler:format_errors/3 for errors in include files](https://github.com/basho/rebar/pull/265)
* rebar/267: [Add 'eunit-compile' cmd (Suggested-by: Joe Norton)](https://github.com/basho/rebar/pull/267)
* rebar/268: [Add 'qc' command](https://github.com/basho/rebar/pull/268)
* rebar/269: [Add qc and test-compile commands](https://github.com/basho/rebar/pull/269)


# Rebar 2.2.0

## PR's Merged

* rebar/137: [Filter documented behaviour callbacks](https://github.com/basho/rebar/pull/137)
* rebar/142: [Fix  rebar_file_utils module on Windows with MSYS](https://github.com/basho/rebar/pull/142)
* rebar/152: [Allow users to configure skip_deps for specific commands](https://github.com/basho/rebar/pull/152)
* rebar/154: [Stop applications nicely before killing extra processes](https://github.com/basho/rebar/pull/154)
* rebar/155: [Fix rebar_utils:expand_env_variable/3](https://github.com/basho/rebar/pull/155)
* rebar/157: [add native Windows compiler support](https://github.com/basho/rebar/pull/157)
* rebar/172: [Allow reltool target_dir to be constructed on the fly](https://github.com/basho/rebar/pull/172)
* rebar/173: [rebar should expand VCS version in the top directory, if possible](https://github.com/basho/rebar/pull/173)
* rebar/174: [Fixed handle_call response in simplesrv.erl](https://github.com/basho/rebar/pull/174)
* rebar/177: [Cache vsn information during the run to avoid extra unnecessary shell calls](https://github.com/basho/rebar/pull/177)
* rebar/179: [Add ebin to the path before compiling erlydtl templates](https://github.com/basho/rebar/pull/179)
* rebar/183: [Fix compiling DTL templates with latest erlydtl](https://github.com/basho/rebar/pull/183)
* rebar/184: [Fix for destruction of config app vars on reset](https://github.com/basho/rebar/pull/184)
* rebar/185: [simple enhance and simple bugfix](https://github.com/basho/rebar/pull/185)
* rebar/187: [fix for cp_r_win32 where copying a directory to a non-existant directory would crash](https://github.com/basho/rebar/pull/187)
* rebar/189: [Fix typos in generated cmd script in bootstrap](https://github.com/basho/rebar/pull/189)
* rebar/190: [Windows xcopy dir to non-existant dir (re-request)](https://github.com/basho/rebar/pull/190)
* rebar/191: [Fix typos in rebar_templater](https://github.com/basho/rebar/pull/191)
* rebar/196: [Escape '|' in the Windows runner usage string](https://github.com/basho/rebar/pull/196)
* rebar/198: [New feature to rebar_xref to allow execution of custom queries.](https://github.com/basho/rebar/pull/198)
* rebar/199: [Added new feature to rebar xref to allow execution of custom queries.](https://github.com/basho/rebar/pull/199)
* rebar/200: [Enable runner to pass more than one argument to start](https://github.com/basho/rebar/pull/200)
* rebar/201: [include simplemodule.app.src in simplemod template](https://github.com/basho/rebar/pull/201)
* rebar/205: [Ports in languages other than C](https://github.com/basho/rebar/issues/205)
* rebar/210: [use file:script if a .config.script file present](https://github.com/basho/rebar/pull/210)
* rebar/212: [    Modified simplenode.runner to start from alternative directory](https://github.com/basho/rebar/pull/212)
* rebar/214: [Foreground running doesn't allow console attaching](https://github.com/basho/rebar/issues/214)
* rebar/215: [Add support for http proxy_friendly_github_urls](https://github.com/basho/rebar/pull/215)
* rebar/388: [Less than useful rebar error message when error in .hrl files](https://github.com/basho/rebar/issues/388)
